/*
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#ifndef _EVENT_IMPL_H_
#define _EVENT_IMPL_H_

#define event_func_t	an_eventfunc_t

struct event {
	struct event	*next;	/* next event in flow's event list */
	event_hook_t	*func;	/* handler */
	void		*farg;	/* handler argument */
	int		state;	/* event state */
};
typedef struct event event_t;

#endif /* _EVENT_IMPL_H_ */
