/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Various bits of magic for declarations in NodeOS header files.
 */

#ifndef _NODEOS_IMPL_DECLS_H_
#define _NODEOS_IMPL_DECLS_H_

#ifndef NODEOS_FUNC_INLINE
#define NODEOS_FUNC_INLINE extern inline 
#endif /* NODEOS_FUNC_INLINE */

#ifdef __GNUC__
#define NODEOS_FUNC_UNUSED   __attribute__((__unused__))
#define NODEOS_FUNC_NORETURN __attribute__((__noreturn__))
#else
#define NODEOS_FUNC_UNUSED  
#define NODEOS_FUNC_NORETURN
#endif

#endif /* _NODEOS_IMPL_DECLS_H_ */
