/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
#include <stdio.h>
#include <stdarg.h>
#include <signal.h>
#include <pthread.h>
#include <assert.h>
#include <sys/time.h>

#include "os.h"
#include "options.h"

void
os_init_basic(void)
{
}

void
os_init_mem(void)
{
}

void
os_init_devices(void)
{
}

/*
 * Set the priority of the given thread.
 * This routine should map standard NodeOS priority values into
 * implementation specific priorities.
 */
int
os_sched_setprio(ani_thread_t *thread, int nprio)
{
	return 0;
}

/*
 * This function is called by the assert() macro defined in assert.h;
 * it's also a nice simple general-purpose panic function.
 */
void
panic(const char *fmt, ...)
{
	va_list vl;

	va_start(vl, fmt);
	vprintf(fmt, vl);
	va_end(vl);

	printf("\n");

	exit(1);
}

void
os_dump_state(void *state)
{
}

